IMG_SaveAnimation(3)

NAME
IMG_SaveAnimation - Save an animation to a file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveAnimation(IMG_Animation *anim, const char *file);

DESCRIPTION
For formats that accept a quality, a default quality of 90 will be used.

FUNCTION PARAMETERS

anim
    the animation to save.

file
    path on the filesystem containing an animated image.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_SaveAnimationTyped_IO(3), IMG_SaveANIAnimation_IO(3), IMG_SaveAPNGAnimation_IO(3), IMG_SaveAVIFAnimation_IO(3), IMG_SaveGIFAnimation_IO(3), IMG_SaveWEBPAnimation_IO(3)